Bug 165878 - Review Request: kadu
Review Request: kadu
Status: CLOSED DUPLICATE of bug 199192
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Greg DeKoenigsberg
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2005-08-13 07:48 EDT by Mariusz Wasiluk
Modified: 2007-11-30 17:11 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-07-17 17:51:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mariusz Wasiluk 2005-08-13 07:48:56 EDT
Spec Name or Url: http://kadu.net/~nastian/kadu.spec
SRPM Name or Url: http://kadu.net/~nastian/kadu-0.4.1-1.fc4.src.rpm
Description: Kadu is client of Gadu-Gadu 6.1 protocol (very popular in Poland).
It's an Internet Messager for Linux and UN*X or MacOSX. It supports
voice messaging, file transfer, animated emoticons and modules.
Comment 1 Dawid Gajownik 2005-08-15 13:22:48 EDT
It seems to be your first pacakge in Fedora Extras, so the first review must be
done by you sponsor. I may only help you cleaning up the spec file :]

- use %{dist} in the Release tag instead of hardcoding 'fc4'.

I'm not shure whether it's still true but few people on Fedora Extras were
suggesting adding %{dist} after importing package info CVS.
- remove spaces after "Applications/Internet"
- MacOSX → Mac OS X (?)
- Alsa → ALSA
- you have removed dots from the %description fileds. Please revert your
changes. They're not allowed only at the end of a "Summary".
- I'm not a native English speaker but "Modules aRts for Kadu" sounds weird to
me. Maybe "aRts module for Kadu" would be better?
- according to this page →
http://fedoraproject.org/wiki/PackageNamingGuidelines#NormalPackages you should
avoid using underscore in the package name.
- this files could be marked as %doc:


- you can also pass to this options the desktop-file-install program:

 --add-category InstantMessaging

Comment 2 Mariusz Wasiluk 2005-08-19 14:14:37 EDT
SPEC: http://kadu.net/~nastian/kadu.spec
SRPM: http://kadu.net/~nastian/kadu-0.4.1-2.src.rpm

I can't avoid underscore in package name becouse it is module name.
are used by Kadu in About window so they must be in that path. If I put them
also to doc they will be duplicated in package.
Comment 3 Dawid Gajownik 2005-08-30 06:55:59 EDT
Sorry that it took me so long but I was a bit busy recently :/
(In reply to comment #1)

> Maybe "aRts module for Kadu" would be better?

This also applies to the "Summary" fields ;-)

(In reply to comment #2)

> I can't avoid underscore in package name becouse it is module name.


> Files are used by Kadu in About window so they must be in that path.

Oh, I didn't know about it.

I missed few things:
- remove hardcoded path from the kadu.desktop path:

Exec=kadu -caption "%c" %i %m

should be sufficient.
- in Categories field you can add "Qt" and maybe "KDE":
This site does not mention "X-KDE-Base" so I'm not shure whether it's valid
entry :/ (help)
- drop these lines:

Requires:       qt >= 3.2
Requires:       libsndfile >= 1.0.11

RPM automatically detects proper requirements. What is more, Fedora Core and
Extras (FC3+) provide appopriate versions of these libraries.
- don't include /usr/lib/debug in the devel package
- architecture dependent files (modules) are in /usr/share directory - that's
against FHS 2.3 standard
I would suggest contacting with upstream and urge them to move these files to 
- modules are not stripped

And one more thing which looks weird to me - rpmlint warns about too long line
in description. Maybe it counts non-US-ASCII characters as two characters?
Comment 4 Marcin Slusarz 2005-11-06 05:11:51 EST
why this spec does not include external modules?

ps: .so files was moved to /usr/lib month ago, but as it would break
compatibility in 0.4 line, it will be included in next major release (0.5)

Comment 5 Marcin Garski 2006-01-06 08:50:56 EST
Kadu 0.4.3 has been released some time ago.

Mariusz do you still work on this package?
Comment 6 Michał Bentkowski 2006-07-16 06:51:39 EDT
If I would like to take over this package, I should create new bug or continue 
it here?
Comment 7 Rahul Sundaram 2006-07-17 07:56:57 EDT
You should create a new request and close this one
Comment 8 Michał Bentkowski 2006-07-17 13:39:37 EDT
(In reply to comment #7)
> You should create a new request and close this one
Yes, but... I have no permissions to change status of this bug.
Comment 9 Michał Bentkowski 2006-07-17 17:24:02 EDT
Bug 199192 is new request for this package.
Comment 10 Jason Tibbitts 2006-07-17 17:51:52 EDT

*** This bug has been marked as a duplicate of 199192 ***

Note You need to log in before you can comment on or make changes to this bug.